curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_all \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 8748,
"method": "private/cancel_all",
"params": {}
}'private/cancel_all
Cancels all open orders and trigger orders for the authenticated account across all currencies and instrument kinds. This is a bulk cancellation operation useful for quickly clearing all active orders.
Use the detailed parameter to receive a list of all cancelled orders. The freeze_quotes parameter can be used to freeze quotes instead of cancelling them.
Set include_starbase_orders to true to also cancel the subaccount’s Starbase direct-access open orders; the number cancelled is included in the returned cancelled-order count. This flag cannot be combined with detailed, and freeze_quotes is not enforced for Starbase orders.
Note: This operation cannot be undone. All open orders will be permanently cancelled.
Scope: trade:read_write
curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_all \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 8748,
"method": "private/cancel_all",
"params": {}
}'Query Parameters
When detailed is set to true, the output format is changed to include a list of all cancelled orders.
📖 Related Article: Detailed Response for Cancel Methods
Default: false
When set to true, the subaccount's Starbase direct-access open orders are also cancelled, and the number cancelled is included in the returned cancelled-order count. Default: false.
Cannot be combined with detailed (doing so returns an invalid_params error). Note that freeze_quotes is not enforced for Starbase orders.
Was this page helpful?